Skip to main content
POST
/
v1
/
api_keys
/
{apiKeyID}
/
ip_whitelist
Set API Key IP Whitelist
curl --request POST \
  --url https://api.ondoperps.xyz/v1/api_keys/{apiKeyID}/ip_whitelist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ip": "192.168.1.1"
}
'
{
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

apiKeyID
string
required

Body

application/json
ip
string
required

IP address to whitelist

Example:

"192.168.1.1"

Response

Updated

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""